# Method: projects.locations.clusters.getJwks

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#body.GetJSONWebKeysResponse.SCHEMA_REPRESENTATION)
- [Jwk](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#Jwk)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#Jwk.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#try-it)

Gets the public component of the cluster signing keys in JSON Web Key format.

### HTTP request

`GET https://container.googleapis.com/v1/{parent=projects/*/locations/*/clusters/*}/jwks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The cluster (project, location, cluster name) to get keys for. Specified in the format `projects/*/locations/*/clusters/*`. |

### Request body

The request body must be empty.

### Response body

GetJSONWebKeysResponse is a valid JSON Web Key Set as specified in rfc 7517

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "keys": [ { object (`https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#Jwk`) } ] } ``` |

| Fields ||
|---|---|
| `keys[]` | ``object (`https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/getJwks#Jwk`)`` The public component of the keys used by the cluster to sign token requests. |

## Jwk

Jwk is a JSON Web Key as specified in RFC 7517

| JSON representation |
|---|
| ``` { "kty": string, "alg": string, "use": string, "kid": string, "n": string, "e": string, "x": string, "y": string, "crv": string } ``` |

| Fields ||
|---|---|
| `kty` | `string` Key Type. |
| `alg` | `string` Algorithm. |
| `use` | `string` Permitted uses for the public keys. |
| `kid` | `string` Key ID. |
| `n` | `string` Used for RSA keys. |
| `e` | `string` Used for RSA keys. |
| `x` | `string` Used for ECDSA keys. |
| `y` | `string` Used for ECDSA keys. |
| `crv` | `string` Used for ECDSA keys. |